Skip to main content
POST
/
branches
/
{branchId}
/
fork
Fork a branch until its XXX_QUOTED events
curl --request POST \
  --url https://api.example.com/branches/{branchId}/fork \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "closeOriginalBranch": true,
  "includeAllEvents": true
}
'
import requests

url = "https://api.example.com/branches/{branchId}/fork"

payload = {
"name": "<string>",
"closeOriginalBranch": True,
"includeAllEvents": True
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', closeOriginalBranch: true, includeAllEvents: true})
};

fetch('https://api.example.com/branches/{branchId}/fork', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "type": "<string>",
  "id": "<string>"
}

Path Parameters

branchId
string
required

Unique identifier for the branch

Query Parameters

whenAt
string

Optional: the whenAt datetime

Body

application/json
name
string

Optional: Name of the entity

closeOriginalBranch
boolean
branchType
enum<string>

Branch type

Available options:
BASE,
NEW_BUSINESS,
MTA,
RENEWAL,
REPRICING
branchSubType
enum<string>

Branch sub type

Available options:
CREATE_ADDITIONAL_COMPONENTS,
DRIVEQUANT
includeAllEvents
boolean

Include all events from the original branch

Response

type
string
required

Type of the created object

id
string
required

Unique identifier for the created object